=== modified file 'src/attributes.cpp'
--- src/attributes.cpp	2011-10-08 20:00:37 +0000
+++ src/attributes.cpp	2011-12-08 11:53:54 +0000
@@ -18,7 +18,6 @@
 #endif
 
 #include <glib.h> // g_assert()
-#include <glib/ghash.h>
 #include "attributes.h"
 
 typedef struct {

=== modified file 'src/attributes.h'
--- src/attributes.h	2011-10-08 20:00:37 +0000
+++ src/attributes.h	2011-12-08 11:53:54 +0000
@@ -13,8 +13,7 @@
  *
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
-#include <glib/gtypes.h>
-#include <glib/gmessages.h>
+#include <glib.h>
 
 unsigned int sp_attribute_lookup(gchar const *key);
 unsigned char const *sp_attribute_name(unsigned int id);

=== modified file 'src/bind/javabind.cpp'
--- src/bind/javabind.cpp	2011-10-23 08:01:33 +0000
+++ src/bind/javabind.cpp	2011-12-08 11:53:54 +0000
@@ -62,7 +62,7 @@
 #include "javabind-private.h"
 #include <path-prefix.h>
 #include <prefix.h>
-#include <glib/gmessages.h>
+#include <glib.h>
 
 //For repr and document
 #include <document.h>

=== modified file 'src/cms-color-types.h'
--- src/cms-color-types.h	2011-07-09 09:18:40 +0000
+++ src/cms-color-types.h	2011-12-08 11:53:54 +0000
@@ -5,7 +5,7 @@
  * A simple abstraction to provide opaque compatibility with either lcms or lcms2.
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 
 typedef void * cmsHPROFILE;

=== modified file 'src/cms-system.h'
--- src/cms-system.h	2011-07-10 07:13:05 +0000
+++ src/cms-system.h	2011-12-08 11:53:54 +0000
@@ -6,7 +6,7 @@
  */
 
 #include <glib-object.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <vector>
 #include <glibmm/ustring.h>
 #include "cms-color-types.h"

=== modified file 'src/color-profile.h'
--- src/color-profile.h	2011-10-05 07:06:08 +0000
+++ src/color-profile.h	2011-12-08 11:53:54 +0000
@@ -6,7 +6,7 @@
  */
 
 #include <vector>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <sp-object.h>
 #include <glibmm/ustring.h>
 #include "cms-color-types.h"

=== modified file 'src/color-rgba.h'
--- src/color-rgba.h	2011-10-25 07:45:35 +0000
+++ src/color-rgba.h	2011-12-08 11:53:54 +0000
@@ -10,7 +10,6 @@
 #define SEEN_COLOR_RGBA_H
 
 #include <glib.h> // g_assert()
-#include <glib/gmessages.h>
 #include "decimal-round.h"
 
 /**

=== modified file 'src/conn-avoid-ref.h'
--- src/conn-avoid-ref.h	2011-02-27 20:48:16 +0000
+++ src/conn-avoid-ref.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gslist.h>
+#include <glib.h>
 #include <stddef.h>
 #include <sigc++/connection.h>
 

=== modified file 'src/debug/logger.cpp'
--- src/debug/logger.cpp	2010-11-17 02:12:56 +0000
+++ src/debug/logger.cpp	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
 
 #include <fstream>
 #include <vector>
-#include <glib/gmessages.h>
+#include <glib.h>
 #include "inkscape-version.h"
 #include "debug/logger.h"
 #include "debug/simple-event.h"

=== modified file 'src/debug/simple-event.h'
--- src/debug/simple-event.h	2010-11-17 02:12:56 +0000
+++ src/debug/simple-event.h	2011-12-08 11:53:54 +0000
@@ -15,8 +15,6 @@
 #include <stdarg.h>
 #include <vector>
 #include <glib.h> // g_assert()
-#include <glib/gstrfuncs.h>
-#include <glib/gmessages.h>
 
 #include "gc-alloc.h"
 #include "debug/event.h"

=== modified file 'src/debug/timestamp.cpp'
--- src/debug/timestamp.cpp	2010-11-17 02:12:56 +0000
+++ src/debug/timestamp.cpp	2011-12-08 11:53:54 +0000
@@ -10,8 +10,7 @@
  */
 
 
-#include <glib/gtypes.h>
-#include <glib/gmain.h>
+#include <glib.h>
 #include <glibmm/ustring.h>
 #include "debug/simple-event.h"
 

=== modified file 'src/dialogs/clonetiler.cpp'
--- src/dialogs/clonetiler.cpp	2011-11-05 22:28:36 +0000
+++ src/dialogs/clonetiler.cpp	2011-12-08 11:53:54 +0000
@@ -16,7 +16,7 @@
 #endif
 
 #include <climits>
-#include <glib/gmem.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 #include <glibmm/i18n.h>
 #include <2geom/transforms.h>

=== modified file 'src/dir-util.cpp'
--- src/dir-util.cpp	2011-05-06 06:21:51 +0000
+++ src/dir-util.cpp	2011-12-08 11:53:54 +0000
@@ -6,11 +6,7 @@
 #include <errno.h>
 #include <string>
 #include <cstring>
-#include <glib/gutils.h>
-#include <glib/gmem.h>
-#include <glib/gerror.h>
-#include <glib/gconvert.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 
 std::string sp_relative_path_from_path( std::string const &path, std::string const &base)
 {

=== modified file 'src/dir-util.h'
--- src/dir-util.h	2011-05-06 06:21:51 +0000
+++ src/dir-util.h	2011-12-08 11:53:54 +0000
@@ -10,7 +10,7 @@
  */
 
 #include <stdlib.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 /** 
  * Returns a form of \a path relative to \a base if that is easy to construct (eg if \a path

=== modified file 'src/display/canvas-bpath.h'
--- src/display/canvas-bpath.h	2011-06-24 10:23:41 +0000
+++ src/display/canvas-bpath.h	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
  *
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #include "sp-canvas-item.h"
 

=== modified file 'src/display/canvas-temporary-item.h'
--- src/display/canvas-temporary-item.h	2011-10-25 07:45:35 +0000
+++ src/display/canvas-temporary-item.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
 
 #include <stddef.h>
 #include <sigc++/sigc++.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 struct SPCanvasItem;
 

=== modified file 'src/display/curve.cpp'
--- src/display/curve.cpp	2011-10-15 20:03:44 +0000
+++ src/display/curve.cpp	2011-12-08 11:53:54 +0000
@@ -19,7 +19,7 @@
 
 #include "display/curve.h"
 
-#include <glib/gmessages.h>
+#include <glib.h>
 #include <2geom/pathvector.h>
 #include <2geom/sbasis-geometric.h>
 #include <2geom/sbasis-to-bezier.h>

=== modified file 'src/display/curve.h'
--- src/display/curve.h	2011-10-25 07:45:35 +0000
+++ src/display/curve.h	2011-12-08 11:53:54 +0000
@@ -13,8 +13,7 @@
  * Released under GNU GPL
  */
 
-#include <glib/gtypes.h>
-#include <glib/gslist.h>
+#include <glib.h>
 
 #include <2geom/forward.h>
 

=== modified file 'src/display/gnome-canvas-acetate.h'
--- src/display/gnome-canvas-acetate.h	2011-06-24 10:23:41 +0000
+++ src/display/gnome-canvas-acetate.h	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "display/sp-canvas-item.h"
 
 

=== modified file 'src/display/nr-3dutils.cpp'
--- src/display/nr-3dutils.cpp	2011-04-07 23:42:04 +0000
+++ src/display/nr-3dutils.cpp	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gmessages.h>
+#include <glib.h>
 
 #include "display/nr-3dutils.h"
 #include <cmath>

=== modified file 'src/display/nr-filter-diffuselighting.cpp'
--- src/display/nr-filter-diffuselighting.cpp	2011-08-27 16:05:32 +0000
+++ src/display/nr-filter-diffuselighting.cpp	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gmessages.h>
+#include <glib.h>
 
 #include "display/cairo-templates.h"
 #include "display/cairo-utils.h"

=== modified file 'src/display/nr-filter-specularlighting.cpp'
--- src/display/nr-filter-specularlighting.cpp	2011-08-27 16:05:32 +0000
+++ src/display/nr-filter-specularlighting.cpp	2011-12-08 11:53:54 +0000
@@ -10,7 +10,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gmessages.h>
+#include <glib.h>
 #include <cmath>
 
 #include "display/cairo-templates.h"

=== modified file 'src/display/sodipodi-ctrlrect.h'
--- src/display/sodipodi-ctrlrect.h	2011-10-25 07:45:35 +0000
+++ src/display/sodipodi-ctrlrect.h	2011-12-08 11:53:54 +0000
@@ -17,7 +17,7 @@
  *
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "sp-canvas-item.h"
 #include <2geom/rect.h>
 #include <2geom/int-rect.h>

=== modified file 'src/display/sp-canvas.h'
--- src/display/sp-canvas.h	2011-10-25 07:45:35 +0000
+++ src/display/sp-canvas.h	2011-12-08 11:53:54 +0000
@@ -29,7 +29,7 @@
 # endif
 #endif
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gdk/gdk.h>
 #include <gtk/gtk.h>
 #include <glibmm/ustring.h>

=== modified file 'src/document-subset.cpp'
--- src/document-subset.cpp	2010-12-12 08:40:34 +0000
+++ src/document-subset.cpp	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
 #include "document.h"
 #include "sp-object.h"
 
-#include <glib/gmessages.h>
+#include <glib.h>
 
 #include <sigc++/signal.h>
 #include <sigc++/functors/mem_fun.h>

=== modified file 'src/draw-anchor.h'
--- src/draw-anchor.h	2010-11-17 02:12:56 +0000
+++ src/draw-anchor.h	2011-12-08 11:53:54 +0000
@@ -5,7 +5,7 @@
  * Drawing anchors. 
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <2geom/point.h>
 
 struct SPDrawContext;

=== modified file 'src/dyna-draw-context.cpp'
--- src/dyna-draw-context.cpp	2011-08-27 12:36:15 +0000
+++ src/dyna-draw-context.cpp	2011-12-08 11:53:54 +0000
@@ -38,7 +38,7 @@
 #include <2geom/pathvector.h>
 #include <2geom/bezier-utils.h>
 #include "display/curve.h"
-#include <glib/gmem.h>
+#include <glib.h>
 #include "macros.h"
 #include "document.h"
 #include "selection.h"

=== modified file 'src/eraser-context.cpp'
--- src/eraser-context.cpp	2011-08-27 09:04:37 +0000
+++ src/eraser-context.cpp	2011-12-08 11:53:54 +0000
@@ -38,7 +38,7 @@
 #include "display/canvas-bpath.h"
 #include <2geom/bezier-utils.h>
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include "macros.h"
 #include "document.h"
 #include "selection.h"

=== modified file 'src/extension/internal/cairo-render-context.cpp'
--- src/extension/internal/cairo-render-context.cpp	2011-10-15 20:03:44 +0000
+++ src/extension/internal/cairo-render-context.cpp	2011-12-08 11:53:54 +0000
@@ -29,7 +29,7 @@
 #include <errno.h>
 #include <2geom/pathvector.h>
 
-#include <glib/gmem.h>
+#include <glib.h>
 
 #include <glibmm/i18n.h>
 #include "display/drawing.h"

=== modified file 'src/extension/internal/cairo-renderer.cpp'
--- src/extension/internal/cairo-renderer.cpp	2011-10-04 19:04:58 +0000
+++ src/extension/internal/cairo-renderer.cpp	2011-12-08 11:53:54 +0000
@@ -32,7 +32,7 @@
 #include <2geom/transforms.h>
 #include <2geom/pathvector.h>
 
-#include <glib/gmem.h>
+#include <glib.h>
 
 #include <glibmm/i18n.h>
 #include "display/curve.h"

=== modified file 'src/extension/internal/pdfinput/svg-builder.h'
--- src/extension/internal/pdfinput/svg-builder.h	2011-11-19 18:53:12 +0000
+++ src/extension/internal/pdfinput/svg-builder.h	2011-12-08 11:53:54 +0000
@@ -47,7 +47,7 @@
 class SPCSSAttr;
 
 #include <vector>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 namespace Inkscape {
 namespace Extension {

=== modified file 'src/extract-uri.h'
--- src/extract-uri.h	2010-11-17 02:12:56 +0000
+++ src/extract-uri.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SEEN_EXTRACT_URI_H
 #define SEEN_EXTRACT_URI_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 gchar *extract_uri(gchar const *s, gchar const** endptr = 0);
 

=== modified file 'src/file.cpp'
--- src/file.cpp	2011-10-03 03:44:17 +0000
+++ src/file.cpp	2011-12-08 11:53:54 +0000
@@ -30,7 +30,7 @@
 #endif
 
 #include <gtk/gtk.h>
-#include <glib/gmem.h>
+#include <glib.h>
 #include <glibmm/i18n.h>
 
 #include "desktop.h"

=== modified file 'src/file.h'
--- src/file.h	2011-10-04 06:49:12 +0000
+++ src/file.h	2011-12-08 11:53:54 +0000
@@ -16,7 +16,7 @@
  */
 
 #include <gtkmm.h>
-#include <glib/gslist.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 
 #include "extension/system.h"

=== modified file 'src/gc-anchored.h'
--- src/gc-anchored.h	2011-10-25 07:45:35 +0000
+++ src/gc-anchored.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
 #ifndef SEEN_INKSCAPE_GC_ANCHORED_H
 #define SEEN_INKSCAPE_GC_ANCHORED_H
 
-#include <glib/gmessages.h>
+#include <glib.h>
 #include "gc-managed.h"
 
 namespace Inkscape {

=== modified file 'src/gc-core.h'
--- src/gc-core.h	2010-11-17 02:12:56 +0000
+++ src/gc-core.h	2011-12-08 11:53:54 +0000
@@ -24,7 +24,7 @@
 #else
 # include <gc.h>
 #endif
-#include <glib/gmain.h>
+#include <glib.h>
 
 namespace Inkscape {
 namespace GC {

=== modified file 'src/gc.cpp'
--- src/gc.cpp	2011-10-03 03:44:17 +0000
+++ src/gc.cpp	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
 #include <stdexcept>
 #include <cstring>
 #include <string>
-#include <glib/gmessages.h>
+#include <glib.h>
 #include <sigc++/functors/ptr_fun.h>
 #include <glibmm/main.h>
 #include <cstddef>

=== modified file 'src/gradient-drag.h'
--- src/gradient-drag.h	2011-10-05 07:06:08 +0000
+++ src/gradient-drag.h	2011-12-08 11:53:54 +0000
@@ -14,7 +14,6 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gslist.h>
 #include <stddef.h>
 #include <sigc++/sigc++.h>
 #include <vector>

=== modified file 'src/help.h'
--- src/help.h	2011-10-25 07:45:35 +0000
+++ src/help.h	2011-12-08 11:53:54 +0000
@@ -10,7 +10,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 
 /**

=== modified file 'src/helper/gnome-utils.h'
--- src/helper/gnome-utils.h	2010-11-17 02:12:56 +0000
+++ src/helper/gnome-utils.h	2011-12-08 11:53:54 +0000
@@ -15,8 +15,7 @@
 #ifndef __GNOME_UTILS_H__
 #define __GNOME_UTILS_H__
 
-#include <glib/gtypes.h>
-#include <glib/glist.h>
+#include <glib.h>
 
 GList *gnome_uri_list_extract_uris(gchar const *uri_list);
 

=== modified file 'src/helper/pixbuf-ops.cpp'
--- src/helper/pixbuf-ops.cpp	2011-10-02 08:26:17 +0000
+++ src/helper/pixbuf-ops.cpp	2011-12-08 11:53:54 +0000
@@ -16,7 +16,6 @@
 #endif
 
 #include <glib.h>
-#include <glib/gmessages.h>
 #include <png.h>
 #include <2geom/transforms.h>
 

=== modified file 'src/helper/pixbuf-ops.h'
--- src/helper/pixbuf-ops.h	2009-08-06 14:17:17 +0000
+++ src/helper/pixbuf-ops.h	2011-12-08 11:53:54 +0000
@@ -12,7 +12,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 struct SPDocument;
 

=== modified file 'src/helper/png-write.cpp'
--- src/helper/png-write.cpp	2011-10-29 20:34:00 +0000
+++ src/helper/png-write.cpp	2011-12-08 11:53:54 +0000
@@ -19,7 +19,7 @@
 #include "interface.h"
 #include <2geom/rect.h>
 #include <2geom/transforms.h>
-#include <glib/gmessages.h>
+#include <glib.h>
 #include <png.h>
 #include "png-write.h"
 #include "io/sys.h"

=== modified file 'src/helper/png-write.h'
--- src/helper/png-write.h	2009-08-06 14:17:17 +0000
+++ src/helper/png-write.h	2011-12-08 11:53:54 +0000
@@ -12,7 +12,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <2geom/forward.h>
 struct SPDocument;
 

=== modified file 'src/helper/stlport.h'
--- src/helper/stlport.h	2006-01-16 02:36:01 +0000
+++ src/helper/stlport.h	2011-12-08 11:53:54 +0000
@@ -3,8 +3,7 @@
 
 
 #include <list>
-#include <glib/glist.h>
-#include <glib/gslist.h>
+#include <glib.h>
 
 template <typename T>
 class StlConv {

=== modified file 'src/helper/stock-items.h'
--- src/helper/stock-items.h	2011-10-05 07:06:08 +0000
+++ src/helper/stock-items.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
  *
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 class SPObject;
 

=== modified file 'src/helper/unit-menu.h'
--- src/helper/unit-menu.h	2011-10-04 05:43:09 +0000
+++ src/helper/unit-menu.h	2011-12-08 11:53:54 +0000
@@ -10,7 +10,7 @@
  *
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 
 struct SPUnit;

=== modified file 'src/helper/units.h'
--- src/helper/units.h	2008-02-03 14:56:48 +0000
+++ src/helper/units.h	2011-12-08 11:53:54 +0000
@@ -15,9 +15,7 @@
  *
  */
 
-#include <glib/gmessages.h>
-#include <glib/gslist.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "sp-metric.h"
 
 

=== modified file 'src/inkscape.h'
--- src/inkscape.h	2010-12-06 08:21:18 +0000
+++ src/inkscape.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
  */
 
 #include <list>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 struct SPDesktop;
 struct SPDocument;

=== modified file 'src/inkview.cpp'
--- src/inkview.cpp	2011-08-27 16:05:32 +0000
+++ src/inkview.cpp	2011-12-08 11:53:54 +0000
@@ -38,7 +38,7 @@
 #include <sys/stat.h>
 #include <locale.h>
 
-#include <glib/gmem.h>
+#include <glib.h>
 
 // #include <stropts.h>
 

=== modified file 'src/io/inkjar.h'
--- src/io/inkjar.h	2010-03-14 23:58:16 +0000
+++ src/io/inkjar.h	2011-12-08 11:53:54 +0000
@@ -26,8 +26,7 @@
 # endif
 #endif
 
-#include <glib/garray.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 namespace Inkjar {
 

=== modified file 'src/io/resource.cpp'
--- src/io/resource.cpp	2011-10-27 04:55:51 +0000
+++ src/io/resource.cpp	2011-12-08 11:53:54 +0000
@@ -17,9 +17,6 @@
 #endif
 
 #include <glib.h> // g_assert()
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
-#include <glib/gfileutils.h>
 #include "path-prefix.h"
 #include "inkscape.h"
 #include "io/resource.h"

=== modified file 'src/io/sys.cpp'
--- src/io/sys.cpp	2011-06-19 10:00:24 +0000
+++ src/io/sys.cpp	2011-12-08 11:53:54 +0000
@@ -17,9 +17,7 @@
 
 #include <glib.h>
 #include <glib/gstdio.h>
-#include <glib/gutils.h>
 #include <glibmm/fileutils.h>
-#include <glib/gstdio.h>
 #include <glibmm/ustring.h>
 #include <gtk/gtk.h>
 

=== modified file 'src/io/sys.h'
--- src/io/sys.h	2009-09-16 02:04:50 +0000
+++ src/io/sys.h	2011-12-08 11:53:54 +0000
@@ -15,9 +15,7 @@
 #include <stdio.h>
 #include <sys/stat.h>
 #include <sys/types.h>
-#include <glib/gtypes.h>
-#include <glib/gdir.h>
-#include <glib/gfileutils.h>
+#include <glib.h>
 #include <glibmm/spawn.h>
 #include <string>
 

=== modified file 'src/knot-holder-entity.h'
--- src/knot-holder-entity.h	2011-10-25 07:45:35 +0000
+++ src/knot-holder-entity.h	2011-12-08 11:53:54 +0000
@@ -14,7 +14,7 @@
  * Released under GNU GPL
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "knot.h"
 #include <2geom/forward.h>
 #include "snapper.h"

=== modified file 'src/knotholder.h'
--- src/knotholder.h	2011-10-05 07:06:08 +0000
+++ src/knotholder.h	2011-12-08 11:53:54 +0000
@@ -17,7 +17,7 @@
  *
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "knot-enums.h"
 #include <2geom/forward.h>
 #include "knot-holder-entity.h"

=== modified file 'src/libcroco/cr-libxml-node-iface.h'
--- src/libcroco/cr-libxml-node-iface.h	2006-11-15 09:36:19 +0000
+++ src/libcroco/cr-libxml-node-iface.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef __CR_LIBXML_NODE_IFACE_H__
 #define __CR_LIBXML_NODE_IFACE_H__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include "cr-node-iface.h"
 
 G_BEGIN_DECLS

=== modified file 'src/libcroco/cr-node-iface.h'
--- src/libcroco/cr-node-iface.h	2006-01-16 02:36:01 +0000
+++ src/libcroco/cr-node-iface.h	2011-12-08 11:53:54 +0000
@@ -1,8 +1,7 @@
 #ifndef __CR_NODE_IFACE_H__
 #define __CR_NODE_IFACE_H__
 
-#include <glib/gmacros.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 G_BEGIN_DECLS
 

=== modified file 'src/libnrtype/FontFactory.cpp'
--- src/libnrtype/FontFactory.cpp	2011-07-22 09:22:07 +0000
+++ src/libnrtype/FontFactory.cpp	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
 #endif
 
 #include <glibmm.h>
-#include <glib/gmem.h>
+#include <glib.h>
 #include <glibmm/i18n.h> // _()
 #include <pango/pangoft2.h>
 #include "libnrtype/FontFactory.h"

=== modified file 'src/libnrtype/Layout-TNG-Output.cpp'
--- src/libnrtype/Layout-TNG-Output.cpp	2011-09-05 15:42:23 +0000
+++ src/libnrtype/Layout-TNG-Output.cpp	2011-12-08 11:53:54 +0000
@@ -8,7 +8,7 @@
  *
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
-#include <glib/gmem.h>
+#include <glib.h>
 #include "Layout-TNG.h"
 #include "display/drawing-text.h"
 #include "style.h"

=== modified file 'src/libnrtype/nr-type-primitives.cpp'
--- src/libnrtype/nr-type-primitives.cpp	2011-08-27 16:05:32 +0000
+++ src/libnrtype/nr-type-primitives.cpp	2011-12-08 11:53:54 +0000
@@ -14,7 +14,7 @@
 
 #include <stdlib.h>
 #include <string.h>
-#include <glib/gmem.h>
+#include <glib.h>
 #include "nr-type-primitives.h"
 
 /**

=== modified file 'src/libnrtype/nr-type-primitives.h'
--- src/libnrtype/nr-type-primitives.h	2006-01-18 17:11:56 +0000
+++ src/libnrtype/nr-type-primitives.h	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
  * This code is in public domain
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 struct NRNameList;
 struct NRStyleList;

=== modified file 'src/livarot/AlphaLigne.cpp'
--- src/livarot/AlphaLigne.cpp	2006-02-04 09:52:07 +0000
+++ src/livarot/AlphaLigne.cpp	2011-12-08 11:53:54 +0000
@@ -12,7 +12,7 @@
 #include <math.h>
 #include <stdio.h>
 #include <stdlib.h>
-#include <glib/gmem.h>
+#include <glib.h>
 
 AlphaLigne::AlphaLigne(int iMin,int iMax)
 {

=== modified file 'src/livarot/BitLigne.cpp'
--- src/livarot/BitLigne.cpp	2008-01-31 19:06:59 +0000
+++ src/livarot/BitLigne.cpp	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
 #include <string>
 #include <cmath>
 #include <cstdio>
-#include <glib/gmem.h>
+#include <glib.h>
 
 BitLigne::BitLigne(int ist,int ien,float iScale)
 {

=== modified file 'src/livarot/PathSimplify.cpp'
--- src/livarot/PathSimplify.cpp	2011-06-23 22:22:07 +0000
+++ src/livarot/PathSimplify.cpp	2011-12-08 11:53:54 +0000
@@ -6,7 +6,7 @@
  *
  */
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include <2geom/affine.h>
 #include "livarot/Path.h"
 #include "livarot/path-description.h"

=== modified file 'src/livarot/Shape.cpp'
--- src/livarot/Shape.cpp	2011-08-28 21:53:33 +0000
+++ src/livarot/Shape.cpp	2011-12-08 11:53:54 +0000
@@ -8,7 +8,7 @@
 
 #include <cstdio>
 #include <cstdlib>
-#include <glib/gmem.h>
+#include <glib.h>
 #include "Shape.h"
 #include "livarot/sweep-event-queue.h"
 #include "livarot/sweep-tree-list.h"

=== modified file 'src/livarot/ShapeSweep.cpp'
--- src/livarot/ShapeSweep.cpp	2011-04-07 23:42:04 +0000
+++ src/livarot/ShapeSweep.cpp	2011-12-08 11:53:54 +0000
@@ -10,7 +10,6 @@
 #include <cstdlib>
 #include <cstring>
 #include <glib.h>
-#include <glib/gmem.h>
 #include <2geom/affine.h>
 #include "Shape.h"
 #include "livarot/sweep-event-queue.h"

=== modified file 'src/livarot/int-line.cpp'
--- src/livarot/int-line.cpp	2008-01-31 19:06:59 +0000
+++ src/livarot/int-line.cpp	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  *
  */
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include <cmath>
 #include <cstring>
 #include <string>

=== modified file 'src/livarot/sweep-event.cpp'
--- src/livarot/sweep-event.cpp	2010-11-17 02:12:56 +0000
+++ src/livarot/sweep-event.cpp	2011-12-08 11:53:54 +0000
@@ -1,4 +1,4 @@
-#include <glib/gmem.h>
+#include <glib.h>
 #include "livarot/sweep-event-queue.h"
 #include "livarot/sweep-tree.h"
 #include "livarot/sweep-event.h"

=== modified file 'src/livarot/sweep-tree-list.cpp'
--- src/livarot/sweep-tree-list.cpp	2010-11-17 02:12:56 +0000
+++ src/livarot/sweep-tree-list.cpp	2011-12-08 11:53:54 +0000
@@ -1,4 +1,4 @@
-#include <glib/gmem.h>
+#include <glib.h>
 #include "livarot/sweep-tree.h"
 #include "livarot/sweep-tree-list.h"
 

=== modified file 'src/live_effects/parameter/array.h'
--- src/live_effects/parameter/array.h	2010-07-27 19:56:51 +0000
+++ src/live_effects/parameter/array.h	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
 
 #include <vector>
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #include <gtkmm/tooltips.h>
 

=== modified file 'src/live_effects/parameter/bool.h'
--- src/live_effects/parameter/bool.h	2008-07-20 19:02:23 +0000
+++ src/live_effects/parameter/bool.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #include "live_effects/parameter/parameter.h"
 

=== modified file 'src/live_effects/parameter/enum.h'
--- src/live_effects/parameter/enum.h	2008-08-18 00:32:01 +0000
+++ src/live_effects/parameter/enum.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #include "ui/widget/registered-enums.h"
 #include <gtkmm/tooltips.h>

=== modified file 'src/live_effects/parameter/path.h'
--- src/live_effects/parameter/path.h	2011-02-27 20:48:16 +0000
+++ src/live_effects/parameter/path.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <2geom/path.h>
 
 #include <gtkmm/tooltips.h>

=== modified file 'src/live_effects/parameter/point.h'
--- src/live_effects/parameter/point.h	2011-02-02 21:24:36 +0000
+++ src/live_effects/parameter/point.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <2geom/point.h>
 
 #include <gtkmm/tooltips.h>

=== modified file 'src/live_effects/parameter/powerstrokepointarray.h'
--- src/live_effects/parameter/powerstrokepointarray.h	2011-11-05 23:46:09 +0000
+++ src/live_effects/parameter/powerstrokepointarray.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <2geom/point.h>
 
 #include <gtkmm/tooltips.h>

=== modified file 'src/live_effects/parameter/text.h'
--- src/live_effects/parameter/text.h	2009-03-11 17:57:56 +0000
+++ src/live_effects/parameter/text.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #include "display/canvas-bpath.h"
 #include "live_effects/parameter/parameter.h"

=== modified file 'src/live_effects/parameter/vector.h'
--- src/live_effects/parameter/vector.h	2011-02-02 21:24:36 +0000
+++ src/live_effects/parameter/vector.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <2geom/point.h>
 
 #include <gtkmm/tooltips.h>

=== modified file 'src/main-cmdlineact.h'
--- src/main-cmdlineact.h	2008-07-05 12:02:53 +0000
+++ src/main-cmdlineact.h	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
  * Released under GNU GPL v2.x, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 namespace Inkscape {
 

=== modified file 'src/message-context.cpp'
--- src/message-context.cpp	2010-11-17 02:12:56 +0000
+++ src/message-context.cpp	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include "message-context.h"
 #include "message-stack.h"
 

=== modified file 'src/message-stack.cpp'
--- src/message-stack.cpp	2011-07-27 04:55:07 +0000
+++ src/message-stack.cpp	2011-12-08 11:53:54 +0000
@@ -10,7 +10,7 @@
  */
 
 #include <string.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <cstring>
 #include <string>
 #include "message-stack.h"

=== modified file 'src/modifier-fns.h'
--- src/modifier-fns.h	2011-06-03 10:44:52 +0000
+++ src/modifier-fns.h	2011-12-08 11:53:54 +0000
@@ -12,7 +12,7 @@
  */
 
 #include <gdk/gdk.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 inline bool
 mod_shift(guint const state)

=== modified file 'src/object-hierarchy.h'
--- src/object-hierarchy.h	2011-10-27 04:55:51 +0000
+++ src/object-hierarchy.h	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
 #include <stddef.h>
 #include <sigc++/connection.h>
 #include <sigc++/signal.h>
-#include <glib/gmessages.h>
+#include <glib.h>
 
 class SPObject;
 

=== modified file 'src/path-chemistry.cpp'
--- src/path-chemistry.cpp	2011-07-16 07:42:39 +0000
+++ src/path-chemistry.cpp	2011-12-08 11:53:54 +0000
@@ -22,7 +22,7 @@
 #include "xml/repr.h"
 #include "svg/svg.h"
 #include "display/curve.h"
-#include <glib/gmem.h>
+#include <glib.h>
 #include <glibmm/i18n.h>
 #include "sp-path.h"
 #include "sp-text.h"

=== modified file 'src/removeoverlap.h'
--- src/removeoverlap.h	2010-03-14 23:58:16 +0000
+++ src/removeoverlap.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
 #ifndef SEEN_REMOVEOVERLAP_H
 #define SEEN_REMOVEOVERLAP_H
 
-#include <glib/gslist.h>
+#include <glib.h>
 
 void removeoverlap(GSList const *items, double xGap, double yGap);
 

=== modified file 'src/sp-conn-end-pair.h'
--- src/sp-conn-end-pair.h	2011-10-05 07:06:08 +0000
+++ src/sp-conn-end-pair.h	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
  *
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #include <stddef.h>
 #include <sigc++/connection.h>

=== modified file 'src/sp-conn-end.h'
--- src/sp-conn-end.h	2011-10-05 07:06:08 +0000
+++ src/sp-conn-end.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SEEN_SP_CONN_END
 #define SEEN_SP_CONN_END
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <stddef.h>
 #include <sigc++/connection.h>
 

=== modified file 'src/sp-gradient-fns.h'
--- src/sp-gradient-fns.h	2011-04-07 23:42:04 +0000
+++ src/sp-gradient-fns.h	2011-12-08 11:53:54 +0000
@@ -5,7 +5,7 @@
  * Macros and fn declarations related to gradients.
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <glib-object.h>
 #include <2geom/forward.h>
 #include "sp-gradient-spread.h"

=== modified file 'src/sp-gradient-vector.h'
--- src/sp-gradient-vector.h	2010-11-17 02:12:56 +0000
+++ src/sp-gradient-vector.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SEEN_SP_GRADIENT_VECTOR_H
 #define SEEN_SP_GRADIENT_VECTOR_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <vector>
 #include "color.h"
 

=== modified file 'src/sp-linear-gradient-fns.h'
--- src/sp-linear-gradient-fns.h	2010-11-17 02:12:56 +0000
+++ src/sp-linear-gradient-fns.h	2011-12-08 11:53:54 +0000
@@ -6,7 +6,7 @@
  */
 
 #include <glib-object.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 namespace Inkscape {
 namespace XML {

=== modified file 'src/sp-metrics.h'
--- src/sp-metrics.h	2006-08-25 07:03:19 +0000
+++ src/sp-metrics.h	2011-12-08 11:53:54 +0000
@@ -1,8 +1,7 @@
 #ifndef SP_METRICS_H
 #define SP_METRICS_H
 
-#include <glib/gstring.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "sp-metric.h"
 
 gdouble sp_absolute_metric_to_metric (gdouble length_src, const SPMetric metric_src, const SPMetric metric_dst);

=== modified file 'src/sp-radial-gradient.h'
--- src/sp-radial-gradient.h	2010-11-17 02:12:56 +0000
+++ src/sp-radial-gradient.h	2011-12-08 11:53:54 +0000
@@ -5,7 +5,7 @@
  * SPRadialGradient: SVG <radialgradient> implementtion.
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "sp-gradient.h"
 #include "svg/svg-length.h"
 #include "sp-radial-gradient-fns.h"

=== modified file 'src/sp-stop.h'
--- src/sp-stop.h	2010-11-17 02:12:56 +0000
+++ src/sp-stop.h	2011-12-08 11:53:54 +0000
@@ -8,7 +8,7 @@
  * Authors?
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <glibmm/ustring.h>
 #include "sp-object.h"
 #include "color.h"

=== modified file 'src/sp-text.h'
--- src/sp-text.h	2011-08-07 10:53:12 +0000
+++ src/sp-text.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <stddef.h>
 #include <sigc++/sigc++.h>
 #include "sp-item.h"

=== modified file 'src/sp-textpath.h'
--- src/sp-textpath.h	2010-12-12 08:40:34 +0000
+++ src/sp-textpath.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef INKSCAPE_SP_TEXTPATH_H
 #define INKSCAPE_SP_TEXTPATH_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "svg/svg-length.h"
 #include "sp-item.h"
 #include "sp-text.h"

=== modified file 'src/sp-tspan.h'
--- src/sp-tspan.h	2010-11-17 02:12:56 +0000
+++ src/sp-tspan.h	2011-12-08 11:53:54 +0000
@@ -5,7 +5,7 @@
  * tspan and textpath, based on the flowtext routines
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "sp-item.h"
 #include "text-tag-attributes.h"
 

=== modified file 'src/splivarot.cpp'
--- src/splivarot.cpp	2011-08-27 09:04:37 +0000
+++ src/splivarot.cpp	2011-12-08 11:53:54 +0000
@@ -19,7 +19,7 @@
 #include <cstring>
 #include <string>
 #include <vector>
-#include <glib/gmem.h>
+#include <glib.h>
 #include "xml/repr.h"
 #include "svg/svg.h"
 #include "sp-path.h"

=== modified file 'src/spray-context.cpp'
--- src/spray-context.cpp	2011-08-27 09:04:37 +0000
+++ src/spray-context.cpp	2011-12-08 11:53:54 +0000
@@ -28,7 +28,7 @@
 
 #include "svg/svg.h"
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include "macros.h"
 #include "document.h"
 #include "selection.h"

=== modified file 'src/svg/css-ostringstream.cpp'
--- src/svg/css-ostringstream.cpp	2010-11-17 02:12:56 +0000
+++ src/svg/css-ostringstream.cpp	2011-12-08 11:53:54 +0000
@@ -1,8 +1,7 @@
 #include "svg/css-ostringstream.h"
 #include "svg/strip-trailing-zeros.h"
 #include "preferences.h"
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 
 Inkscape::CSSOStringStream::CSSOStringStream()
 {

=== modified file 'src/svg/css-ostringstream.h'
--- src/svg/css-ostringstream.h	2010-11-17 02:12:56 +0000
+++ src/svg/css-ostringstream.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SVG_CSS_OSTRINGSTREAM_H_INKSCAPE
 #define SVG_CSS_OSTRINGSTREAM_H_INKSCAPE
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <sstream>
 
 namespace Inkscape {

=== modified file 'src/svg/stringstream.h'
--- src/svg/stringstream.h	2010-11-17 02:12:56 +0000
+++ src/svg/stringstream.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef INKSCAPE_STRINGSTREAM_H
 #define INKSCAPE_STRINGSTREAM_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <sstream>
 #include <string>
 

=== modified file 'src/svg/strip-trailing-zeros.cpp'
--- src/svg/strip-trailing-zeros.cpp	2010-11-17 02:12:56 +0000
+++ src/svg/strip-trailing-zeros.cpp	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 
 #include <cstring>
 #include <string>
-#include <glib/gmessages.h>
+#include <glib.h>
 
 #include "svg/strip-trailing-zeros.h"
 

=== modified file 'src/svg/svg-affine.cpp'
--- src/svg/svg-affine.cpp	2011-04-07 23:42:04 +0000
+++ src/svg/svg-affine.cpp	2011-12-08 11:53:54 +0000
@@ -19,7 +19,7 @@
 #include <string>
 #include <cstdlib>
 #include <cstdio>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <2geom/transforms.h>
 #include <2geom/angle.h>
 #include "svg.h"

=== modified file 'src/svg/svg-color.cpp'
--- src/svg/svg-color.cpp	2011-07-10 07:13:05 +0000
+++ src/svg/svg-color.cpp	2011-12-08 11:53:54 +0000
@@ -21,12 +21,7 @@
 #include <string>
 #include <cassert>
 #include <math.h>
-#include <glib/gmem.h>
 #include <glib.h> // g_assert
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
-#include <glib/ghash.h>
-#include <glib/gutils.h>
 #include <errno.h>
 
 #include "strneq.h"

=== modified file 'src/svg/svg-color.h'
--- src/svg/svg-color.h	2010-07-07 07:41:42 +0000
+++ src/svg/svg-color.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SVG_SVG_COLOR_H_SEEN
 #define SVG_SVG_COLOR_H_SEEN
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 class SVGICCColor;
 

=== modified file 'src/svg/svg-length.cpp'
--- src/svg/svg-length.cpp	2011-10-02 08:26:17 +0000
+++ src/svg/svg-length.cpp	2011-12-08 11:53:54 +0000
@@ -19,7 +19,7 @@
 #include <cstring>
 #include <string>
 #include <math.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 
 #include "svg.h"
 #include "stringstream.h"

=== modified file 'src/svg/svg-length.h'
--- src/svg/svg-length.h	2010-11-17 02:12:56 +0000
+++ src/svg/svg-length.h	2011-12-08 11:53:54 +0000
@@ -16,7 +16,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 class SVGLength
 {

=== modified file 'src/svg/svg-path-geom-test.h'
--- src/svg/svg-path-geom-test.h	2010-12-14 09:12:46 +0000
+++ src/svg/svg-path-geom-test.h	2011-12-08 11:53:54 +0000
@@ -8,7 +8,7 @@
 #include <stdio.h>
 #include <string>
 #include <vector>
-#include <glib/gmem.h>
+#include <glib.h>
 
 class SvgPathGeomTest : public CxxTest::TestSuite
 {

=== modified file 'src/svg/svg-path.cpp'
--- src/svg/svg-path.cpp	2011-10-18 05:54:57 +0000
+++ src/svg/svg-path.cpp	2011-12-08 11:53:54 +0000
@@ -31,9 +31,6 @@
 #include <cstring>
 #include <string>
 #include <cassert>
-#include <glib/gmem.h>
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
 #include <glib.h> // g_assert()
 
 #include "svg/svg.h"

=== modified file 'src/svg/svg.h'
--- src/svg/svg.h	2011-08-27 17:08:22 +0000
+++ src/svg/svg.h	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
  *
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <vector>
 #include <cstring>
 #include <string>

=== modified file 'src/svg/test-stubs.h'
--- src/svg/test-stubs.h	2010-11-17 02:12:56 +0000
+++ src/svg/test-stubs.h	2011-12-08 11:53:54 +0000
@@ -12,7 +12,7 @@
 #ifndef SEEN_TEST_STUBS_H
 #define SEEN_TEST_STUBS_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 long long int prefs_get_int_attribute(gchar const *path, gchar const *attr, long long int def);
 

=== modified file 'src/text-editing.h'
--- src/text-editing.h	2011-08-27 17:08:22 +0000
+++ src/text-editing.h	2011-12-08 11:53:54 +0000
@@ -13,7 +13,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <utility>   // std::pair
 #include "libnrtype/Layout-TNG.h"
 #include "text-tag-attributes.h"

=== modified file 'src/text-tag-attributes.h'
--- src/text-tag-attributes.h	2011-02-02 21:24:36 +0000
+++ src/text-tag-attributes.h	2011-12-08 11:53:54 +0000
@@ -2,7 +2,7 @@
 #define INKSCAPE_TEXT_TAG_ATTRIBUTES_H
 
 #include <vector>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "libnrtype/Layout-TNG.h"
 #include "svg/svg-length.h"
 

=== modified file 'src/trace/potrace/potracelib.cpp'
--- src/trace/potrace/potracelib.cpp	2011-08-30 00:28:20 +0000
+++ src/trace/potrace/potracelib.cpp	2011-12-08 11:53:54 +0000
@@ -4,7 +4,7 @@
 
 #include <stdlib.h>
 #include <string.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 
 #include "potracelib.h"
 #include "inkscape-version.h"

=== modified file 'src/tweak-context.cpp'
--- src/tweak-context.cpp	2011-08-27 09:04:37 +0000
+++ src/tweak-context.cpp	2011-12-08 11:53:54 +0000
@@ -21,7 +21,7 @@
 
 #include "svg/svg.h"
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include "macros.h"
 #include "document.h"
 #include "selection.h"

=== modified file 'src/ui/cache/svg_preview_cache.cpp'
--- src/ui/cache/svg_preview_cache.cpp	2011-08-07 10:53:12 +0000
+++ src/ui/cache/svg_preview_cache.cpp	2011-12-08 11:53:54 +0000
@@ -19,7 +19,7 @@
 # include "config.h"
 #endif
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 #include <2geom/transforms.h>
 #include "sp-namedview.h"

=== modified file 'src/ui/dialog/desktop-tracker.h'
--- src/ui/dialog/desktop-tracker.h	2011-10-27 04:55:51 +0000
+++ src/ui/dialog/desktop-tracker.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
 
 #include <stddef.h>
 #include <sigc++/connection.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 
 typedef struct _GtkWidget GtkWidget;
 class SPDesktop;

=== modified file 'src/ui/dialog/dialog-manager.h'
--- src/ui/dialog/dialog-manager.h	2010-11-17 02:12:56 +0000
+++ src/ui/dialog/dialog-manager.h	2011-12-08 11:53:54 +0000
@@ -14,7 +14,7 @@
 #ifndef INKSCAPE_UI_DIALOG_MANAGER_H
 #define INKSCAPE_UI_DIALOG_MANAGER_H
 
-#include <glib/gquark.h>
+#include <glib.h>
 #include "dialog.h"
 #include <map>
 

=== modified file 'src/ui/dialog/icon-preview.cpp'
--- src/ui/dialog/icon-preview.cpp	2011-10-03 07:24:15 +0000
+++ src/ui/dialog/icon-preview.cpp	2011-12-08 11:53:54 +0000
@@ -19,7 +19,7 @@
 
 #include <boost/scoped_ptr.hpp>
 #include <gtk/gtk.h>
-#include <glib/gmem.h>
+#include <glib.h>
 #include <glibmm/i18n.h>
 #include <gtkmm/alignment.h>
 #include <gtkmm/buttonbox.h>

=== modified file 'src/ui/widget/icon-widget.cpp'
--- src/ui/widget/icon-widget.cpp	2011-11-13 19:18:47 +0000
+++ src/ui/widget/icon-widget.cpp	2011-12-08 11:53:54 +0000
@@ -12,7 +12,7 @@
 # include <config.h>
 #endif
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include "icon-widget.h"
 
 namespace Inkscape {

=== modified file 'src/unclump.h'
--- src/unclump.h	2010-11-17 02:12:56 +0000
+++ src/unclump.h	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
 #ifndef SEEN_DIALOGS_UNCLUMP_H
 #define SEEN_DIALOGS_UNCLUMP_H
 
-#include <glib/gslist.h>
+#include <glib.h>
 
 void unclump(GSList *items);
 

=== modified file 'src/uri.h'
--- src/uri.h	2011-10-27 04:55:51 +0000
+++ src/uri.h	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
 #ifndef INKSCAPE_URI_H
 #define INKSCAPE_URI_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <exception>
 #include <libxml/uri.h>
 #include "bad-uri-exception.h"

=== modified file 'src/util/ege-appear-time-tracker.h'
--- src/util/ege-appear-time-tracker.h	2010-12-18 04:54:08 +0000
+++ src/util/ege-appear-time-tracker.h	2011-12-08 11:53:54 +0000
@@ -37,7 +37,7 @@
  *
  * ***** END LICENSE BLOCK ***** */
 
-#include <glib/gtimer.h>
+#include <glib.h>
 #include <glibmm/ustring.h>
 
 typedef union _GdkEvent GdkEvent;

=== modified file 'src/util/share.cpp'
--- src/util/share.cpp	2010-11-17 02:12:56 +0000
+++ src/util/share.cpp	2011-12-08 11:53:54 +0000
@@ -10,7 +10,7 @@
  */
 
 #include "util/share.h"
-#include <glib/gmessages.h>
+#include <glib.h>
 
 namespace Inkscape {
 namespace Util {

=== modified file 'src/version.cpp'
--- src/version.cpp	2011-10-23 09:03:12 +0000
+++ src/version.cpp	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
  */
 
 #include <stdio.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include "version.h"
 
 gboolean sp_version_from_string(const gchar *string, Inkscape::Version *version)

=== modified file 'src/version.h'
--- src/version.h	2011-10-23 09:03:12 +0000
+++ src/version.h	2011-12-08 11:53:54 +0000
@@ -11,7 +11,7 @@
 #ifndef SEEN_INKSCAPE_VERSION_H
 #define SEEN_INKSCAPE_VERSION_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #define SVG_VERSION "1.1"
 

=== modified file 'src/widgets/icon.cpp'
--- src/widgets/icon.cpp	2011-08-27 09:04:37 +0000
+++ src/widgets/icon.cpp	2011-12-08 11:53:54 +0000
@@ -17,7 +17,7 @@
 #endif
 
 #include <cstring>
-#include <glib/gmem.h>
+#include <glib.h>
 #include <glib/gstdio.h>
 #include <gtk/gtk.h>
 #include <gtkmm.h>

=== modified file 'src/widgets/sp-color-icc-selector.h'
--- src/widgets/sp-color-icc-selector.h	2011-07-06 07:26:32 +0000
+++ src/widgets/sp-color-icc-selector.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SEEN_SP_COLOR_ICC_SELECTOR_H
 #define SEEN_SP_COLOR_ICC_SELECTOR_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 
 #include "../color.h"

=== modified file 'src/widgets/sp-color-scales.h'
--- src/widgets/sp-color-scales.h	2011-06-14 21:34:06 +0000
+++ src/widgets/sp-color-scales.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SEEN_SP_COLOR_SCALES_H
 #define SEEN_SP_COLOR_SCALES_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 
 #include <color.h>

=== modified file 'src/widgets/sp-color-wheel-selector.h'
--- src/widgets/sp-color-wheel-selector.h	2011-10-29 23:53:45 +0000
+++ src/widgets/sp-color-wheel-selector.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef SEEN_SP_COLOR_WHEEL_SELECTOR_H
 #define SEEN_SP_COLOR_WHEEL_SELECTOR_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 
 #include "../color.h"

=== modified file 'src/widgets/spinbutton-events.h'
--- src/widgets/spinbutton-events.h	2011-06-03 10:44:52 +0000
+++ src/widgets/spinbutton-events.h	2011-12-08 11:53:54 +0000
@@ -9,7 +9,7 @@
  * Released under GNU GPL, read the file 'COPYING' for more information
  */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gtk/gtk.h>      /* GtkWidget */
 
 gboolean spinbutton_focus_in (GtkWidget *w, GdkEventKey *event, gpointer data);

=== modified file 'src/widgets/spw-utilities.h'
--- src/widgets/spw-utilities.h	2011-06-03 10:44:52 +0000
+++ src/widgets/spw-utilities.h	2011-12-08 11:53:54 +0000
@@ -18,7 +18,7 @@
    SPObject, that reacts to modification.
 */
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <gtk/gtk.h>      /* GtkWidget */
 #include <gtkmm/widget.h>
 

=== modified file 'src/widgets/stroke-style.cpp'
--- src/widgets/stroke-style.cpp	2011-10-23 08:01:33 +0000
+++ src/widgets/stroke-style.cpp	2011-12-08 11:53:54 +0000
@@ -17,7 +17,7 @@
 
 #define noSP_SS_VERBOSE
 
-#include <glib/gmem.h>
+#include <glib.h>
 #include <gtk/gtk.h>
 #include <glibmm/i18n.h>
 

=== modified file 'src/xml/attribute-record.h'
--- src/xml/attribute-record.h	2008-09-23 23:34:58 +0000
+++ src/xml/attribute-record.h	2011-12-08 11:53:54 +0000
@@ -5,8 +5,7 @@
 #ifndef SEEN_XML_SP_REPR_ATTR_H
 #define SEEN_XML_SP_REPR_ATTR_H
 
-#include <glib/gquark.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "gc-managed.h"
 #include "util/share.h"
 

=== modified file 'src/xml/comment-node.h'
--- src/xml/comment-node.h	2010-11-17 02:12:56 +0000
+++ src/xml/comment-node.h	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
 #ifndef SEEN_INKSCAPE_XML_COMMENT_NODE_H
 #define SEEN_INKSCAPE_XML_COMMENT_NODE_H
 
-#include <glib/gquark.h>
+#include <glib.h>
 #include "xml/simple-node.h"
 
 namespace Inkscape {

=== modified file 'src/xml/croco-node-iface.cpp'
--- src/xml/croco-node-iface.cpp	2011-10-03 07:24:15 +0000
+++ src/xml/croco-node-iface.cpp	2011-12-08 11:53:54 +0000
@@ -1,6 +1,6 @@
 #include <cstring>
 #include <string>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 
 #include "xml/croco-node-iface.h"
 #include "xml/node.h"

=== modified file 'src/xml/event.h'
--- src/xml/event.h	2011-10-04 05:43:09 +0000
+++ src/xml/event.h	2011-12-08 11:53:54 +0000
@@ -18,8 +18,7 @@
 #ifndef SEEN_INKSCAPE_XML_SP_REPR_ACTION_H
 #define SEEN_INKSCAPE_XML_SP_REPR_ACTION_H
 
-#include <glib/gtypes.h>
-#include <glib/gquark.h>
+#include <glib.h>
 #include <glibmm/ustring.h>
 
 #include <iterator>

=== modified file 'src/xml/node-event-vector.h'
--- src/xml/node-event-vector.h	2008-09-23 23:34:58 +0000
+++ src/xml/node-event-vector.h	2011-12-08 11:53:54 +0000
@@ -14,7 +14,7 @@
 #ifndef SEEN_INKSCAPE_XML_SP_REPR_EVENT_VECTOR
 #define SEEN_INKSCAPE_XML_SP_REPR_EVENT_VECTOR
 
-#include <glib/gtypes.h>
+#include <glib.h>
 
 #include "xml/node.h"
 

=== modified file 'src/xml/node-observer.h'
--- src/xml/node-observer.h	2011-10-04 05:43:09 +0000
+++ src/xml/node-observer.h	2011-12-08 11:53:54 +0000
@@ -18,7 +18,7 @@
 #ifndef SEEN_INKSCAPE_XML_NODE_OBSERVER_H
 #define SEEN_INKSCAPE_XML_NODE_OBSERVER_H
 
-#include <glib/gquark.h>
+#include <glib.h>
 #include "util/share.h"
 
 #ifndef INK_UNUSED

=== modified file 'src/xml/node.h'
--- src/xml/node.h	2011-10-04 05:43:09 +0000
+++ src/xml/node.h	2011-12-08 11:53:54 +0000
@@ -18,7 +18,7 @@
 #ifndef SEEN_INKSCAPE_XML_NODE_H
 #define SEEN_INKSCAPE_XML_NODE_H
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "gc-anchored.h"
 #include "util/list.h"
 

=== modified file 'src/xml/pi-node.h'
--- src/xml/pi-node.h	2010-11-17 02:12:56 +0000
+++ src/xml/pi-node.h	2011-12-08 11:53:54 +0000
@@ -14,7 +14,7 @@
 #ifndef SEEN_INKSCAPE_XML_PI_NODE_H
 #define SEEN_INKSCAPE_XML_PI_NODE_H
 
-#include <glib/gquark.h>
+#include <glib.h>
 #include "xml/simple-node.h"
 
 namespace Inkscape {

=== modified file 'src/xml/quote.cpp'
--- src/xml/quote.cpp	2010-11-17 02:12:56 +0000
+++ src/xml/quote.cpp	2011-12-08 11:53:54 +0000
@@ -12,7 +12,7 @@
  */
 
 #include <cstring>
-#include <glib/gmem.h>
+#include <glib.h>
 
 
 /** \return strlen(xml_quote_strdup(\a val)) (without doing the malloc).

=== modified file 'src/xml/rebase-hrefs.cpp'
--- src/xml/rebase-hrefs.cpp	2011-05-07 04:49:50 +0000
+++ src/xml/rebase-hrefs.cpp	2011-12-08 11:53:54 +0000
@@ -7,9 +7,7 @@
 #include "util/share.h"
 #include "xml/attribute-record.h"
 #include "xml/node.h"
-#include <glib/gmem.h>
-#include <glib/gurifuncs.h>
-#include <glib/gutils.h>
+#include <glib.h>
 #include <glibmm/miscutils.h>
 #include <glibmm/convert.h>
 #include <glibmm/uriutils.h>

=== modified file 'src/xml/rebase-hrefs.h'
--- src/xml/rebase-hrefs.h	2011-05-06 06:21:51 +0000
+++ src/xml/rebase-hrefs.h	2011-12-08 11:53:54 +0000
@@ -1,7 +1,7 @@
 #ifndef REBASE_HREFS_H_SEEN
 #define REBASE_HREFS_H_SEEN
 
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "util/list.h"
 #include "xml/attribute-record.h"
 struct SPDocument;

=== modified file 'src/xml/repr.h'
--- src/xml/repr.h	2011-05-06 06:21:51 +0000
+++ src/xml/repr.h	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
 #define SEEN_SP_REPR_H
 
 #include <stdio.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include "gc-anchored.h"
 
 #include "xml/node.h"

=== modified file 'src/xml/simple-node.cpp'
--- src/xml/simple-node.cpp	2011-11-29 11:27:10 +0000
+++ src/xml/simple-node.cpp	2011-12-08 11:53:54 +0000
@@ -17,7 +17,7 @@
 #include <cstring>
 #include <string>
 
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 
 #include "preferences.h"
 

=== modified file 'src/xml/text-node.h'
--- src/xml/text-node.h	2011-09-08 14:27:40 +0000
+++ src/xml/text-node.h	2011-12-08 11:53:54 +0000
@@ -15,7 +15,7 @@
 #ifndef SEEN_INKSCAPE_XML_TEXT_NODE_H
 #define SEEN_INKSCAPE_XML_TEXT_NODE_H
 
-#include <glib/gquark.h>
+#include <glib.h>
 #include "xml/simple-node.h"
 
 namespace Inkscape {

